﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Shopping.aspx.cs" Inherits="MemberPages_Shopping" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>购物页面</title>
    <link href="../css/Style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:LoginName ID="LoginName1" runat="server" />
&nbsp;<asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="~/Default.aspx">Home</asp:HyperLink>
&nbsp;<asp:LoginStatus ID="LoginStatus1" runat="server" />
&nbsp;
<br />
<br />

    <fieldset style="width:620px">
        <legend class="mainTitle">购物车</legend>
        <table style="width:100%;" border="0" cellpadding="2" cellspacing="0" rules="all"  >
            <tr class="bold" align="center" >
                <td>
                    代售商品列表</td>
                <td>
                    购物车</td>
            </tr>
            <tr>
                <td valign="top" style="width:310px">
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
                        AutoGenerateColumns="False" DataKeyNames="ProductID" 
                        DataSourceID="SqlDataSource1" PageSize="5" Width="300px" 
                        AllowSorting="True" HorizontalAlign="Center" 
                        onselectedindexchanged="GridView1_SelectedIndexChanged">
                        <Columns>
                            <asp:TemplateField ShowHeader="False">
                                <ItemTemplate>
                                    <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="False" 
                                        CommandName="Select" ImageUrl="~/Images/button_buy.gif" Text="选择" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="ProductName" HeaderText="商品名称" 
                                SortExpression="ProductName" />
                            <asp:BoundField DataField="UnitPrice" DataFormatString="{0:c}" HeaderText="单价" 
                                SortExpression="UnitPrice" />
                        </Columns>
                    </asp:GridView>
                    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
                        ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" 
                        SelectCommand="SELECT [ProductID], [ProductName], [UnitPrice] FROM [Products]">
                    </asp:SqlDataSource>
                </td>
                <td valign="top">
                    <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" 
                        Width="300px" onselectedindexchanged="GridView2_SelectedIndexChanged" 
                        DataKeyNames="id">
                        <Columns>
                            <asp:CommandField ButtonType="Image" SelectImageUrl="~/Images/button_del.gif" 
                                ShowSelectButton="True" />
                            <asp:BoundField HeaderText="商品名称" DataField="Name" />
                            <asp:BoundField HeaderText="单价" DataField="Price" DataFormatString="{0:c}" />
                            <asp:BoundField HeaderText="数量" DataField="Quantity" />
                        </Columns>
                    </asp:GridView>
                    <asp:Label ID="Label1" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </fieldset>
    </div>
    </form>
</body>
</html>
